using System;
using System.ComponentModel.DataAnnotations;
using Replikanto.Properties;

namespace Replikanto
{
	public enum EnumMethod
	{
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_ExactQuantity")]
		ExactQuantity,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_EqualQuantity")]
		EqualQuantity,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_AvailableCash")]
		AvailableCash,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_NetLiq")]
		NetLiq,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_PctChange")]
		PctChange,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_Ratio")]
		Ratio,
		[Display(ResourceType = typeof(Resources), Name = "EnumMethod_PreAllocation")]
		PreAllocation
	}
}
